/*== CLAMP Include File ===================================================*/

/*== GLOBAL FUNCTION DECLARATIONS =========================================*/
int mx240_init (int portcom);
int mx240_voltage (int func1, int range, int func2);
int mx240_current (int func1, int range, int func2);
int mx240_power (int unity, int function, int range, int compen, int adjust,
				 double reference);
int mx240_energy (int function, int range);
int mx240_resistance (int range, int cont);
int mx240_timecos (int timer, double cosinus);
int mx240_talker (int talker);
int mx240_datalogstore (int datalog);
int mx240_surveillance (int surv);
int mx240_mem (int hold);
int mx240_lcd (int control);
int mx240_status (int *instrument,double *version, int *rotaryswitchhard, 
				  int *rotaryswitchsoft, int *display1, int *display2, int *lastButton);
int mx240_param (int *freq, int *prof);
int mx240_data (int measure, int address, double *result, int *unity);
int mx240_close (void);


/*== CONSTANT DECLARATIONS ================================================*/

#define		AMP			1
#define		VOLT		2
#define		VA			3
#define		WATT		4
#define		VAR			5
#define		WH			6
#define		OHM			7

#define		ACK			6
#define		NACK		0x15

#define 	MX240 	    0      /* Instrument Type: MX240                   */
#define 	MX2040     	4      /* Instrument Type: MX2040                  */
